# Start Game Trigger Command
scoreboard players enable @a start_game
execute unless score warning_message warning_message matches 0.. as @a[scores={start_game=1..}] run function grass:start_game
scoreboard players reset @a[scores={start_game=1..}] start_game

# Scoreboard Removal
scoreboard players remove @a[scores={warning_message=1..}] warning_message 1
execute unless score warning_message warning_message matches 0 run scoreboard players remove warning_message warning_message 1

# Reseting Death Detection
execute as @a[scores={has_died=1..}] run function grass:died

# Sending Warning Message 
title @a[scores={warning_message=200}] times 0 20 0
title @a[scores={warning_message=200}] actionbar {"text":"10 - Don't Touch Grass - 10","color":"dark_green"}
execute as @a[scores={warning_message=180}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=180}] times 0 20 0
title @a[scores={warning_message=180}] actionbar {"text":"9 - Don't Touch Grass - 9","color":"dark_green"}
execute as @a[scores={warning_message=160}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=160}] times 0 20 0
title @a[scores={warning_message=160}] actionbar {"text":"8 - Don't Touch Grass - 8","color":"green"}
execute as @a[scores={warning_message=140}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=140}] times 0 20 0
title @a[scores={warning_message=140}] actionbar {"text":"7 - Don't Touch Grass - 7","color":"green"}
execute as @a[scores={warning_message=120}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=120}] times 0 20 0
title @a[scores={warning_message=120}] actionbar {"text":"6 - Don't Touch Grass - 6","color":"yellow"}
execute as @a[scores={warning_message=100}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=100}] times 0 20 0
title @a[scores={warning_message=100}] actionbar {"text":"5 - Don't Touch Grass - 5","color":"yellow"}
execute as @a[scores={warning_message=80}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=80}] times 0 20 0
title @a[scores={warning_message=80}] actionbar {"text":"4 - Don't Touch Grass - 4","color":"gold"}
execute as @a[scores={warning_message=60}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=60}] times 0 20 0
title @a[scores={warning_message=60}] actionbar {"text":"3 - Don't Touch Grass - 3","color":"gold"}
execute as @a[scores={warning_message=40}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=40}] times 0 20 0
title @a[scores={warning_message=40}] actionbar {"text":"2 - Don't Touch Grass - 2","color":"red"}
execute as @a[scores={warning_message=20}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=20}] times 0 20 0
title @a[scores={warning_message=20}] actionbar {"text":"1 - Don't Touch Grass - 1","color":"red"}
execute as @a[scores={warning_message=1}] at @s run playsound block.note_block.bit neutral @a ~ ~ ~ 1 1
title @a[scores={warning_message=1}] times 0 8 0
title @a[scores={warning_message=1}] actionbar {"text":"0 - Don't Touch Grass - 0","color":"dark_red"}

# Giving Players Platforms and Setting World Spawn
execute if score warning_message warning_message matches 1 run function grass:give_platform

# Setting gamemode Scoreboard
execute if score warning_message warning_message matches 0 run scoreboard players set gamemode gamemode 1

# Killing Players Who Touch Grass
execute if score gamemode gamemode matches 1 as @a[scores={warning_message=0}] at @s if block ~ ~-1 ~ grass_block run damage @s 1 grass:touch_grass







